# $Revision: 1.71.2.2 $, $Date: 2010/01/11 15:27:32 $
#
# Conditional build:
%bcond_without	apidocs		# don't generate documentation with doxygen
%bcond_without	cap		# don't use capabilities to get real-time priority (needs suid root binary)
%bcond_without	alsa		# don't build ALSA driver
%bcond_without	posix_shm	# don't use posix shm
%bcond_without	static_libs	# don't build static libs
%bcond_without	freebob		# don't build freebob driver
#
Summary:	The JACK Audio Connection Kit
Summary(pl.UTF-8):	JACK - zestaw do połączeń audio
Name:		jack-audio-connection-kit
Version:	0.103.0
Release:	4
License:	LGPL v2.1+ (libjack), GPL v2+ (the rest)
Group:		Daemons
Source0:	http://dl.sourceforge.net/jackit/%{name}-%{version}.tar.gz
# Source0-md5:	03a0f63b997ce7b83a1eeaa6b80f4388
Patch0:		%{name}-optimized-cflags.patch
Patch1:		%{name}-gcc4.patch
Patch2:		%{name}-readline.patch
URL:		http://jackit.sourceforge.net/
%{?with_alsa:BuildRequires:	alsa-lib-devel >= 0.9.0}
BuildRequires:	autoconf >= 2.50
BuildRequires:	automake
%{?with_apidocs:BuildRequires:	doxygen}
%{?with_cap:BuildRequires:	libcap-devel}
%{?with_freebob:BuildRequires:	libfreebob-devel >= 1.0.0}
BuildRequires:	libsndfile-devel >= 1.0.0
BuildRequires:	libtool
BuildRequires:	pkgconfig
BuildRequires:	readline-devel
BuildRequires:	rpmbuild(macros) >= 1.98
Requires:	%{name}-libs = %{version}-%{release}
Obsoletes:	jack-audio-connection-kit-driver-iec61883
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		specflags_ia32		-fomit-frame-pointer -ffast-math
%define		specflags_pentium3	-mfpmath=sse
%define		specflags_pentium4	-mfpmath=sse
%define		specflags_x86_64	-ffast-math

%description
JACK is a low-latency audio server, written primarily for the Linux
operating system. It can connect a number of different applications to
an audio device, as well as allowing them to share audio between
themselves. Its clients can run in their own processes (ie. as a
normal application), or can they can run within a JACK server (ie. a
"plugin").

JACK is different from other audio server efforts in that it has been
designed from the ground up to be suitable for professional audio
work. This means that it focuses on two key areas: synchronous
execution of all clients, and low latency operation.

%description -l pl.UTF-8
JACK to serwer dźwięku o małych opóźnieniach, napisany głównie dla
systemu operacyjnego Linux. Może przyjąć połączenia od wielu różnych
aplikacji do urządzenia dźwiękowego, a także pozwolić im na dzielenie
dźwięku pomiędzy siebie. Programy klienckie działają jako własne
procesy (tzn. normalne aplikacje) lub mogą działać wewnątrz serwera
JACK (jako wtyczki).

JACK różni się od innych serwerów dźwięku tym, że został
zaprojektowany od początku z myślą o profesjonalnej obróbce dźwięku.
Oznacza to, że skupia się na dwóch rzeczach: synchronicznym
wykonywaniu wszystkich klientów i małych opóźnieniach działania.

%package libs
Summary:	JACK library
Summary(pl.UTF-8):	Biblioteka JACK-a
License:	LGPL
Group:		Libraries
Conflicts:	jack-audio-connection-kit < 0.100.7

%description libs
Shared JACK library.

%description libs -l pl.UTF-8
Biblioteka współdzielona JACK-a.

%package devel
Summary:	Header files for JACK
Summary(pl.UTF-8):	JACK - pliki nagłówkowe
License:	LGPL
Group:		Development/Libraries
Requires:	%{name}-libs = %{version}-%{release}

%description devel
Header files for the JACK Audio Connection Kit.

%description devel -l pl.UTF-8
Pliki nagłówkowe dla zestawu do połączeń audio JACK.

%package static
Summary:	Static JACK library
Summary(pl.UTF-8):	Statyczna biblioteka JACK
License:	LGPL
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static JACK library.

%description static -l pl.UTF-8
Statyczna biblioteka JACK.

%package apidocs
Summary:	JACK Audio Connection Kit API documentation
Summary(pl.UTF-8):	Dokumentacja API JACK Audio Connection Kit
Group:		Documentation
Requires:	gtk-doc-common

%description apidocs
JACK Audio Connection Kit API documentation.

%description apidocs -l pl.UTF-8
Dokumentacja API JACK Audio Connection Kit.

%package driver-freebob
Summary:	FreeBoB sound driver for JACK
Summary(pl.UTF-8):	Sterownik dźwięku FreeBoB dla JACK-a
License:	GPL
Group:		Libraries
Requires:	%{name} = %{version}-%{release}

%description driver-freebob
FreeBoB (BeBoB platform) sound driver for JACK.

%description driver-freebob -l pl.UTF-8
Sterownik dźwięku FreeBoB (do platformy BeBoB) dla JACK-a.

%package driver-alsa
Summary:	ALSA driver for JACK
Summary(pl):	Sterownik ALSA dla JACK-a
License:	GPL
Group:		Libraries
Requires:	%{name} = %{version}-%{release}

%description driver-alsa
ALSA driver for JACK.

%description driver-alsa -l pl
Sterownik ALSA dla JACK-a.

%package example-clients
Summary:	Example clients that use JACK
Summary(pl.UTF-8):	Przykładowe programy kliencie używające JACK-a
License:	GPL
Group:		Applications/Sound
Requires:	%{name} = %{version}-%{release}

%description example-clients
Small example clients that use the JACK Audio Connection Kit.

%description example-clients -l pl.UTF-8
Małe, przykładowe programy klienckie, które używają zestawu do
połączeń audio JACK.

%package example-jackrec
Summary:	Example JACK client: jackrec
Summary(pl.UTF-8):	Przykładowy klient zestawu JACK: jackrec
License:	GPL
Group:		Applications/Sound
Requires:	%{name} = %{version}-%{release}

%description example-jackrec
Example JACK client: jackrec. It's separated because it uses
libsndfile library.

%description example-jackrec -l pl.UTF-8
Przykładowy klient zestawu JACK: jackrec. Jest wydzielony, ponieważ
wymaga biblioteki libsndfile.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1

%build
%{__libtoolize}
%{__aclocal} -I config
%{__autoheader}
%{__automake}
%{__autoconf}

%configure \
	%{?debug:--enable-debug} \
	--disable-coreaudio \
	%{!?with_freebob:--disable-freebob} \
	--disable-oldtrans \
	--disable-portaudio \
	--enable-oss \
	%{!?with_alsa:--disable-alsa} \
	%{?with_cap:--enable-capabilities %{!?debug:--enable-stripped-jackd}} \
	--%{?with_posix_shm:en}%{!?with_posix_shm:dis}able-posix-shm \
	%{?with_static_libs:--enable-static} \
%ifarch athlon pentium3 pentium4 %{x8664}
	--enable-mmx \
%else
	--disable-mmx \
%endif
%ifarch pentium3 pentium4 %{x8664}
	--enable-sse \
%else
	--disable-sse \
%endif
%ifarch ppc
	--enable-altivec \
%else
	--disable-altivec \
%endif
	--enable-ensure-mlock \
	--enable-preemption-check \
	--enable-resize \
	--enable-timestamps \
	--with-default-tmpdir=/tmp \
	--with-html-dir=%{_gtkdocdir}/%{name}

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	HTML_DIR=%{_gtkdocdir}/%{name}

%{?!with_apidocs:rm -rf $RPM_BUILD_ROOT%{_gtkdocdir}}

rm -f $RPM_BUILD_ROOT%{_libdir}/jack/*.{la,a}

%clean
rm -rf $RPM_BUILD_ROOT

%post	libs -p /sbin/ldconfig
%postun	libs -p /sbin/ldconfig

%if %{with posix_shm}
%verifyscript libs
if ! grep -q -s '^[^ ]* /dev/shm tmpfs ' /proc/mounts ; then
	echo "/dev/shm is not mounted, but JACK compiled with POSIX_SHM requires it"
fi
%endif

%files
%defattr(644,root,root,755)
# note: COPYING only specifies which parts fall under GPL and LGPL
%doc AUTHORS TODO COPYING
%{?with_cap:%attr(4755,root,root) %{_bindir}/jackstart}
%attr(755,root,root) %{_bindir}/jackd
%attr(755,root,root) %{_bindir}/jack_load
%attr(755,root,root) %{_bindir}/jack_unload
%dir %{_libdir}/jack
%attr(755,root,root) %{_libdir}/jack/jack_dummy.so
%attr(755,root,root) %{_libdir}/jack/jack_oss.so
%{_mandir}/man1/*

%files libs
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libjack.so.*.*.*

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libjack.so
%{_libdir}/libjack.la
%{_includedir}/jack
%{_pkgconfigdir}/jack.pc

%if %{with static_libs}
%files static
%defattr(644,root,root,755)
%{_libdir}/libjack.a
%endif

%if %{with apidocs}
%files apidocs
%defattr(644,root,root,755)
%{_gtkdocdir}/%{name}
%endif

%if %{with freebob}
%files driver-freebob
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/jack/jack_freebob.so
%endif

%if %{with alsa}
%files driver-alsa
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/jack/jack_alsa.so
%endif

%files example-clients
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/jack_bufsize
%attr(755,root,root) %{_bindir}/jack_connect
%attr(755,root,root) %{_bindir}/jack_disconnect
%attr(755,root,root) %{_bindir}/jack_freewheel
%attr(755,root,root) %{_bindir}/jack_impulse_grabber
%attr(755,root,root) %{_bindir}/jack_lsp
%attr(755,root,root) %{_bindir}/jack_metro
%attr(755,root,root) %{_bindir}/jack_midiseq
%attr(755,root,root) %{_bindir}/jack_midisine
%attr(755,root,root) %{_bindir}/jack_monitor_client
%attr(755,root,root) %{_bindir}/jack_showtime
%attr(755,root,root) %{_bindir}/jack_simple_client
%attr(755,root,root) %{_bindir}/jack_transport
%attr(755,root,root) %{_libdir}/jack/inprocess.so
%attr(755,root,root) %{_libdir}/jack/intime.so

%files example-jackrec
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/jackrec

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: jack-audio-connection-kit.spec,v $
Revision 1.71.2.2  2010/01/11 15:27:32  glen
- release 4

Revision 1.71.2.1  2007/10/16 19:12:16  glen
- alsa subpackage is back; rel 3

Revision 1.71  2007/04/28 11:39:43  megabajt
- added apidocs bcond and subpackage
- release 2

Revision 1.70  2007/04/07 14:00:30  qboosh
- updated to 0.103.0
- --disable-freebob should work now

Revision 1.69  2007/02/13 08:06:35  glen
- tabs in preamble

Revision 1.68  2007/02/12 00:48:57  baggins
- converted to UTF-8

Revision 1.67  2007/02/11 22:21:21  qrczak
- Fixed language tag.

Revision 1.66  2006/11/25 13:25:59  arekm
- rel 2

Revision 1.65  2006/11/09 09:08:10  jajcus
- bcond to build without freebob

Revision 1.64  2006/10/09 22:56:10  qboosh
- updated to 0.102.20, updated optimized-cflags patch, added readline patch
- added -driver-freebob package (BR: libfreebob-devel)

Revision 1.63  2006/08/26 09:01:55  qboosh
- added verifyscript to check if /dev/shm is mounted

Revision 1.62  2006/04/21 16:21:53  freetz
- alsa by default, rel.2

Revision 1.61  2006/04/17 07:46:13  pluto
- omit frame pointer and sse math are default options on x86-64.

Revision 1.60  2006/04/16 22:20:15  qboosh
- added specflags* to use more sane gcc options than --enable-optimize do

Revision 1.59  2006/04/16 13:33:21  freetz
- 0.101.1

Revision 1.58  2006/04/15 22:18:22  qboosh
- no macro in Conflicts for old package

Revision 1.57  2006/04/15 21:52:58  ankry
- C: in -libs for version before split to allow clean upgrade; rel. 3

Revision 1.56  2005/12/15 18:04:17  freetz
- 0.100.7

Revision 1.55  2005/11/25 12:22:10  pluto
- linking fixed, release 3 for Th.

Revision 1.54  2005/11/16 23:40:36  charles
- BR: rpmbuild(macros) >= 1.98 for %{_gtkdocdir}

Revision 1.53  2005/10/22 09:07:10  pluto
- %{x8664} macro.

Revision 1.52  2005/09/17 11:44:34  arekm
- new readline 5.0

Revision 1.51  2005/08/03 21:52:09  qboosh
- there is one shared library

Revision 1.50  2005/08/03 20:58:36  freetz
- added libs subpackage, rel.1

Revision 1.49  2005/07/12 19:28:23  qboosh
- typo

Revision 1.48  2005/07/07 17:19:54  freetz
- restored static_libs bcond

Revision 1.47  2005/07/07 16:40:48  freetz
- merged from DEVEL

Revision 1.46.2.6  2005/06/22 22:43:13  pluto
- updated to 0.100.0 final. merge'll proceeded soon.

Revision 1.46.2.5  2005/05/03 20:31:05  pluto
- release 0.2.

Revision 1.46.2.4  2005/05/03 19:52:44  pluto
- better mmx/sse selection.

Revision 1.46.2.3  2005/05/03 19:33:43  pluto
- pure athlon hasn't sse.

Revision 1.46.2.2  2005/05/03 18:50:38  ankry
- bcond desc fixes

Revision 1.46.2.1  2005/05/03 18:35:04  pluto
- updated to 0.99.61 (a candidate for 1.0.0 stable release).

Revision 1.46  2005/03/24 01:02:03  pluto
- sigsegv fixed (shm issue).
- release 2.

Revision 1.45  2005/03/23 21:33:40  andree
- added bcond with_posix_shm to disable --enable-posix-shm (broken)

Revision 1.44  2004/11/04 19:32:11  ankry
- pl fix

Revision 1.43  2004/10/10 10:38:48  pluto
- s/_with_cap/with_cap/.

Revision 1.42  2004/09/20 14:56:56  freetz
- commitlog correction / cosmetics

Revision 1.41  2004/09/20 14:47:03  freetz
- 0.99.0, removed firewire driver (removed from package)
- removed link patch (already included)
- performs much better as last version, upgrade recommended ;)

Revision 1.40  2004/08/25 16:32:56  qboosh
- added link patch to avoid linking libjack with -lreadline; release 4

Revision 1.39  2004/08/24 20:04:26  ankry
- unified capitalization

Revision 1.38  2004/08/24 08:54:07  ankry
- rel. 3 to rebuild

Revision 1.37  2004/08/23 18:37:27  pluto
- use POSIX shm API (where available).

Revision 1.36  2004/08/08 11:06:28  havner
- rel 2

Revision 1.35  2004/07/07 09:07:31  qboosh
- iec61883 needs libraw1394 >= 0.10 (with rawiso support)

Revision 1.34  2004/04/28 15:35:11  freetz
- 0.98.1 (it's mainly bugfix release)

Revision 1.33  2004/04/24 00:08:29  qboosh
- release 2

Revision 1.32  2004/04/23 23:57:48  qboosh
- put config.sub in proper dir

Revision 1.31  2004/04/23 21:25:32  qboosh
- updated to 0.98.0, removed obsolete opt patch
- ALSA no longer obligatory, moved driver to subpackage
- build iec61883 driver (as subpackage too)

Revision 1.30  2004/01/14 15:25:18  wiget
- 0.94.0

Revision 1.29  2003/12/29 18:01:38  undefine
- use new config.sub to allow build on amd64

Revision 1.28  2003/12/23 10:23:22  trojan
- updated to 0.92.0

Revision 1.27  2003/12/06 19:42:06  freetz
- 0.91.1

Revision 1.26  2003/11/26 13:00:24  trojan
- updated to 0.90.1

Revision 1.25  2003/11/16 19:31:44  qboosh
- fixed bcond rename

Revision 1.24  2003/11/16 18:37:33  freetz
- s/static/static_libs (it's a bcond conflict)
- static_libs are build by default (everywhere :) - thx qboosh

Revision 1.23  2003/11/16 15:07:07  freetz
- 0.90.0
- added with static bcond (static libs are no longer build by default)
- new style bconds
- updated and sorted %%files

Revision 1.22  2003/11/07 22:23:33  freetz
- BR readline-devel

Revision 1.21  2003/09/01 09:00:41  qboosh
- killed useless *.{la,a} files

Revision 1.20  2003/08/29 17:13:46  freetz
- 0.80.0 (new transport API)
- added dummy driver
- entries for unpackaged files added

Revision 1.19  2003/08/11 10:39:49  trojan
- updated to 0.75.0

Revision 1.18  2003/07/20 18:19:44  freetz
- updated to 0.74.1

Revision 1.17  2003/07/17 23:15:16  freetz
- up to 0.74.0

Revision 1.16  2003/06/26 22:00:06  trojan
- removed BR: fltk-devel, glib-devel

Revision 1.15  2003/06/14 08:51:25  trojan
- updated to 0.72.4

Revision 1.14  2003/05/25 11:00:52  malekith
- massive attack, adding Source-md5

Revision 1.13  2003/05/25 05:49:04  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.12  2003/05/19 08:58:56  trojan
- updated to 0.71.2
- removed example-fltk package

Revision 1.11  2003/05/15 10:38:35  wiget
- updated to 0.71.1
- force newer fltk for BR

Revision 1.10  2003/05/06 09:41:27  qboosh
- added opt patch to use passed optflags
- removed static module

Revision 1.9  2003/05/06 07:55:00  trojan
- updated to 0.70.4

Revision 1.8  2003/03/16 18:24:12  adgor
- Typo

Revision 1.7  2003/03/06 20:13:57  wiget
- up to 0.61.0
- jack_(un)load to main package (general purpose in-process loader)
- example in-process client added to example-clients subpackage

Revision 1.6  2003/02/20 20:40:34  djrzulf
- added missed BR: doxygen

Revision 1.5  2003/02/11 12:46:59  qboosh
- removed obsolete libsndfile1 patch, standarized Source0 URL

Revision 1.4  2003/02/11 10:41:59  djrzulf
- typos

Revision 1.3  2003/02/11 10:04:00  trojan
- updated to 0.50.0
- moved jack_fltk from /usr/X11R6 to /usr
- updated %%files

Revision 1.2  2002/12/28 01:38:10  qboosh
- use new Group: X11/Applications/Sound

Revision 1.1  2002/10/31 12:05:01  qboosh
- new
